Debian Bug report logs - #561440
vino: Listens on IPv6 only (net.ipv6.bindv6only=1?)

version graph

Package: vino; Maintainer for vino is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for vino is src:vino.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Thu, 17 Dec 2009 06:48:02 UTC

Severity: grave

Tags: patch

Found in version vino/2.28.1-2

Fixed in version vino/2.28.1-2.1

Done: Jan Dittberner <jandd@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=604809

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Jordi Mallach <jordi@debian.org>:
Bug#561440; Package vino. (Thu, 17 Dec 2009 06:48:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vino: Listens on IPv6 only (net.ipv6.bindv6only=1?)
Date: Wed, 16 Dec 2009 22:44:43 -0800
Package: vino
Version: 2.28.1-2
Severity: important

Reporting this as "important" on the assumption that it may not affect
everyone.  If it does, it easily qualifies as "grave", because "makes
the package in question unusable by most or all users" doesn't seem like
a stretch for a bug that makes vino not work with IPv4.

As far as I can tell, vino now only listens on IPv6.  I can connect just
fine over IPv6, but not over IPv4.

~$ nmap -sV 127.0.0.1

Starting Nmap 5.00 ( http://nmap.org ) at 2009-12-16 22:31 PST
Interesting ports on localhost (127.0.0.1):
Not shown: 998 closed ports
PORT     STATE SERVICE    VERSION
631/tcp  open  ipp        CUPS 1.4
5298/tcp open  tcpwrapped

Service detection performed. Please report any incorrect results at http://nmap.org/submit/ .
Nmap done: 1 IP address (1 host up) scanned in 6.13 seconds
~$ nmap -sV -6 ::1

Starting Nmap 5.00 ( http://nmap.org ) at 2009-12-16 22:32 PST
Interesting ports on localhost (::1):
Not shown: 998 closed ports
PORT     STATE SERVICE VERSION
631/tcp  open  ipp     CUPS 1.4
5900/tcp open  vnc     VNC (protocol 3.7)

Service detection performed. Please report any incorrect results at http://nmap.org/submit/ .
Nmap done: 1 IP address (1 host up) scanned in 6.16 seconds
~$ cat /proc/sys/net/ipv6/bindv6only
1

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages vino depends on:
ii  gconf2                 2.28.0-1          GNOME configuration database syste
ii  libavahi-client3       0.6.25-2          Avahi client library
ii  libavahi-common3       0.6.25-2          Avahi common library
ii  libavahi-glib1         0.6.25-2          Avahi glib integration library
ii  libc6                  2.10.2-2          GNU C Library: Shared libraries
ii  libdbus-1-3            1.2.16-2          simple interprocess messaging syst
ii  libdbus-glib-1-2       0.82-2            simple interprocess messaging syst
ii  libgconf2-4            2.28.0-1          GNOME configuration database syste
ii  libgcrypt11            1.4.5-1           LGPL Crypto library - runtime libr
ii  libglib2.0-0           2.22.3-1          The GLib library of C routines
ii  libgnome-keyring0      2.28.2-1          GNOME keyring services library
ii  libgnutls26            2.8.5-2           the GNU TLS library - runtime libr
ii  libgtk2.0-0            2.18.5-1          The GTK+ graphical user interface 
ii  libice6                2:1.0.6-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-15             The Independent JPEG Group's JPEG 
ii  libnotify1 [libnotify1 0.4.5-1           sends desktop notifications to a n
ii  libpango1.0-0          1.26.2-1          Layout and rendering of internatio
ii  libsm6                 2:1.1.1-1         X11 Session Management library
ii  libsoup2.4-1           2.28.1-3          an HTTP library implementation in 
ii  libtelepathy-glib0     0.9.2-1           Telepathy framework - GLib library
ii  libunique-1.0-0        1.1.6-1           Library for writing single instanc
ii  libx11-6               2:1.3.2-1         X11 client-side library
ii  libxdamage1            1:1.1.2-1         X11 damaged region extension libra
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  libxfixes3             1:4.0.4-1         X11 miscellaneous 'fixes' extensio
ii  libxtst6               2:1.0.3-1         X11 Testing -- Resource extension 
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

Versions of packages vino recommends:
ii  gvfs                          1.4.3-1    userspace virtual filesystem - ser

Versions of packages vino suggests:
ii  gnome-user-guide [gnome2-user 2.28.2-1   GNOME user's guide
ii  vinagre                       2.28.1-1   remote desktop client for the GNOM

-- no debconf information




Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=604809'. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 17 Dec 2009 08:54:03 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'important' Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Thu, 17 Dec 2009 09:09:04 GMT) Full text and rfc822 format available.

Forcibly Merged 561440 563969. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Wed, 06 Jan 2010 19:57:04 GMT) Full text and rfc822 format available.

Disconnected #563969 from all other report(s). Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Wed, 06 Jan 2010 20:33:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#561440; Package vino. (Wed, 13 Jan 2010 06:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Wed, 13 Jan 2010 06:33:07 GMT) Full text and rfc822 format available.

Message #16 received at 561440@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 561440@bugs.debian.org
Subject: Please fix this
Date: Thu, 07 Jan 2010 18:46:49 -0500
vino-server is unusable.  I do not get a listening socket on ::1, it
(vino-server) shows as listening on :::5900.  Then, when I try and
forward the connection through the ssh tunnel established 
with 'ssh -X -L 5900:[::]:5900 user@host, the vncviewer doesn't
connect to the remote vino-server, the connection 
'seems' to be established but I get no password prompt:

tcp6       0      0 :::5900                 :::*
LISTEN      15168/vino-server
tcp6       0      0 :::80                   :::*
LISTEN      3251/apache2    
tcp6       0      0 :::53                   :::*
LISTEN      3347/named      
tcp6       0      0 ::1:631                 :::*
LISTEN      4369/cupsd      
tcp6       0      0 ::1:953                 :::*
LISTEN      3347/named      
tcp6       0      0 ::1:6010                :::*
LISTEN      15834/4         
tcp6       0      0 ::1:6011                :::*
LISTEN      14104/5         
tcp6       0      0 ::1:5900                ::1:37644
ESTABLISHED -               
tcp6       0      0 ::1:5900                ::1:43201
ESTABLISHED 15168/vino-server
tcp6       0      0 ::1:43201               ::1:5900
ESTABLISHED 15834/4         
tcp6       0      0 ::1:37644               ::1:5900
ESTABLISHED 15834/4         

pi 15834
Process #15834 invoked by /usr/sbin/sshd.
user@host:/etc/sysctl.d# showproc sshd
root      3591     1  0 16:06 ?        00:00:00 /usr/sbin/sshd
root     14099  3591  0 18:10 ?        00:00:00 sshd: user1 [priv]
user1 14104 14099  0 18:10 ?        00:00:02 sshd: user1@pts/5
root     15829  3591  0 18:27 ?        00:00:00 sshd: user2 [priv]
user2     15834 15829  0 18:27 ?        00:00:00 sshd: user2@pts/4






Added indication that bug 561440 blocks 560238 Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Wed, 13 Jan 2010 11:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#561440; Package vino. (Sat, 16 Jan 2010 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to stephane de labrusse <stephane@de-labrusse.fr>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Sat, 16 Jan 2010 13:39:09 GMT) Full text and rfc822 format available.

Message #23 received at 561440@bugs.debian.org (full text, mbox):

From: stephane de labrusse <stephane@de-labrusse.fr>
To: 561440@bugs.debian.org
Subject: vino: Listens on IPv6 only (net.ipv6.bindv6only=1?)
Date: Sat, 16 Jan 2010 14:37:34 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

it's the same thing for me....with many computers, and a fresh
install...that's a pity.
if you want to use vino , you must set  in the file
/etc/sysctl.d/bindv6only.conf

net.ipv6.bindv6only = 0

after you can try this commands and you will see that many other services
work now

nmap -sV 127.0.0.1


nmap -sV -6 ::1

thank's....

- --

Cordialement

Stephane de Labrusse
Membre de l'aru2L	http://www.aru2L.org

PORTABLE : 06 29 19 12 99
FIXE	 : 05 65 78 90 72
WEB      : http://www.de-labrusse.fr
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAktRwR4ACgkQ1CTfJUQAIe54RwCeIqccHW9pCdWDI81m3lWLiEsm
6igAoJfJGuJ7VzSy02owgkPxixlgTAtD
=VVpH
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jordi Mallach <jordi@debian.org>:
Bug#561440; Package vino. (Sat, 23 Jan 2010 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Jordi Mallach <jordi@debian.org>. (Sat, 23 Jan 2010 13:42:03 GMT) Full text and rfc822 format available.

Message #28 received at 561440@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 561440@bugs.debian.org
Cc: control@bugs.debian.org
Subject: vino: diff for NMU version 2.28.1-2.1
Date: Sat, 23 Jan 2010 13:39:42 +0000 (UTC)
[Message part 1 (text/plain, inline)]
tags 561440 + patch
thanks

Dear Jordi,

I have prepared an NMU for vino (version 2.28.1-2.1) to use
two (IPv4+IPv6) sockets instead of one, thus work on kFreeBSD
and with the recent netbase changes.

I’ll have it uploaded to according to devref §5.11, patch attached.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"
[vino_2.28.1-2.1.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Sat, 23 Jan 2010 13:42:07 GMT) Full text and rfc822 format available.

Reply sent to Jan Dittberner <jandd@debian.org>:
You have taken responsibility. (Mon, 25 Jan 2010 15:39:32 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Mon, 25 Jan 2010 15:39:32 GMT) Full text and rfc822 format available.

Message #35 received at 561440-close@bugs.debian.org (full text, mbox):

From: Jan Dittberner <jandd@debian.org>
To: 561440-close@bugs.debian.org
Subject: Bug#561440: fixed in vino 2.28.1-2.1
Date: Mon, 25 Jan 2010 15:32:44 +0000
Source: vino
Source-Version: 2.28.1-2.1

We believe that the bug you reported is fixed in the latest version of
vino, which is due to be installed in the Debian FTP archive:

vino_2.28.1-2.1.diff.gz
  to main/v/vino/vino_2.28.1-2.1.diff.gz
vino_2.28.1-2.1.dsc
  to main/v/vino/vino_2.28.1-2.1.dsc
vino_2.28.1-2.1_amd64.deb
  to main/v/vino/vino_2.28.1-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 561440@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Dittberner <jandd@debian.org> (supplier of updated vino package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 23 Jan 2010 13:01:31 +0000
Source: vino
Binary: vino
Architecture: source amd64
Version: 2.28.1-2.1
Distribution: unstable
Urgency: low
Maintainer: Jordi Mallach <jordi@debian.org>
Changed-By: Jan Dittberner <jandd@debian.org>
Description: 
 vino       - VNC server for GNOME
Closes: 561440
Changes: 
 vino (2.28.1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/01_ipv6-fix.patch: New, use two listening sockets
     (one for IPv4, one for IPv6) and disable use of ipv4-mapped IPv6
     addresses. (Closes: #561440)
Checksums-Sha1: 
 44f46342948df7eb792055087c093eb6d76c7773 2571 vino_2.28.1-2.1.dsc
 b65f25bc8bc1f5cc39b863b600470316163258da 7932 vino_2.28.1-2.1.diff.gz
 4ded240055b0031d660f0600a5d63b777d11c34e 691646 vino_2.28.1-2.1_amd64.deb
Checksums-Sha256: 
 75dbfdecca1186bd307d11ea823e54e9bf57eed4426c3565a68cb2f3fe43414c 2571 vino_2.28.1-2.1.dsc
 ee474c7113c1ab4a7554ea23e0224db7239d3407a14fb1f58c4fb90d17e420e2 7932 vino_2.28.1-2.1.diff.gz
 68c0981dafd2b8f9738bb327bbe8508326929e17407e9e3b18088a3a50d6d869 691646 vino_2.28.1-2.1_amd64.deb
Files: 
 c30f7f5c15972a642ecc61908203750c 2571 gnome optional vino_2.28.1-2.1.dsc
 b02a5eb5a9c9bd4b796e571fd042360c 7932 gnome optional vino_2.28.1-2.1.diff.gz
 38e126ea27105fa9aa15d6e33257b50d 691646 gnome optional vino_2.28.1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLWxEIAAoJEKc+AFVVj7jdWxQP/ikSQ9qjVTls+4xySw/IxnBX
dtKDkgRCR9LIKASlwhRHnHGaw60S6+4TQZKsZrl87NMiF7fn7e1s2R/xLQRzUYeC
dXYplYooNOKV3mvTJtoR2Z7EHvanyTtgYvs0hxMsSEb+TTTYFxEg/sD0ELynowrp
5etZs65yonCWPQplXPO7r3VGK8c1TIWsn/2moRZE04NNkveC13r6gYuueGzgnGkU
CgRXHQ1133lJFqOw0hw+zAFxZOLPhwAXNu7KR+gSzBSaPlLdc30mVlDQGZRiADxh
Nrh8MXfeJC5cpBAyrf8AbojzfbXNeDDIu8lNeFsnOsz7TWe6A8lCcRhprEFAb3eZ
cTAg1HNSvPKf4E3YlSQRVKM/SDc+qIFk/SWoHHMue+7FwE9/26GOnkGWNk9HSikM
neBb+5t9dehQySUJqWq6JEa4Wbp7/mmMItXP8lNXC9GFwNF64LAiPHnrftcep9Pe
Ya5sTHKyZ/pEDmNtu9vWHq2IpAD1cTJ6BtRMk67fKEUFvX4u0K8FFHThgWkwqp/+
2q0XQwruKRCxzY4QvA6QxTlsWcK58N/nldZr9OMM3Qm/ole9MC3PAmb0rMu67NPP
KszqRvY2j8Z3Eo5hrclTLA8EVqAphW47CuiX9X1/30Xfpv2ulN4Id8pGBWeE7pdn
5wbbdFZwwSfW+MtAE13I
=cjje
-----END PGP SIGNATURE-----





Bug 560238 cloned as bug 569937. Request was from Marco d'Itri <md@Linux.IT> to control@bugs.debian.org. (Mon, 15 Feb 2010 10:12:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 16 Mar 2010 07:33:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 18:55:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.